%define package lightning
%define version 4.0.5.2
%define release 1

Name:		wpkg-%{package}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos

Requires:	ipasserelle-gp
Requires:	wpkg-thunderbird >= 38.2.0
Requires:	wpkg-7zip

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/thunderbird_addons/
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/thunderbird_addons/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/

%changelog
* Mon Jan 25 2016 Daniel Berteaud <daniel@firewall-services.com> 4.0.5.2-1
- Update to 4.0.5.2

* Mon Jan 4 2016 Daniel Berteaud <daniel@firewall-services.com> 4.0.4.1-1
- Update to 4.0.4.1

* Fri Oct 9 2015 Daniel Berteaud <daniel@firewall-services.com> 4.0.3.1-1
- Update to 4.0.3.1

* Thu Sep 17 2015 Daniel Berteaud <daniel@firewall-services.com> 4.0.2.1-1
- Update to 4.0.2.1

* Fri Sep 11 2015 Daniel Berteaud <daniel@firewall-services.com> 4.0.2.0.1-1
- Rebuild 4.0.2 with patch for bug 1195974
  https://bugzilla.mozilla.org/show_bug.cgi?id=1195974

* Tue Sep 1 2015 Daniel Berteaud <daniel@firewall-services.com> 4.0.2-1
- Update to 4.0.2

* Mon Feb 2 2015 Daniel Berteaud <daniel@firewall-services.com> 3.3.3-1
- Update to 3.3.3

* Wed Oct 15 2014 Daniel Berteaud <daniel@firewall-services.com> 3.3.1-1
- Update to 3.3.1

* Wed Jul 23 2014 Daniel Berteaud <daniel@firewall-services.com> 2.6.6-1
- Update to 2.6.6

* Mon May 19 2014 Daniel Berteaud <daniel@firewall-services.com> 2.6.5-1
- update to 2.6.5

* Wed Dec 18 2013 Daniel Berteaud <daniel@firewall-services.com> 2.6.4-1
- update to 2.6.4

* Wed Nov 20 2013 Daniel Berteaud <daniel@firewall-services.com> 2.6.3-1
- update to 2.6.3

* Tue Oct 29 2013 Daniel Berteaud <daniel@firewall-services.com> 2.6-1
- update to 2.6
- Add downgrade commands

* Fri Mar 8 2013 Daniel Berteaud <daniel@firewall-services.com> 1.9.1-1
- update to 1.9.1

* Mon Dec 10 2012 Daniel Berteaud <daniel@firewall-services.com> 1.9-1
- update to 1.9

* Thu May 31 2012 Daniel Berteaud <daniel@firewall-services.com> 1.2.3-1
- initial release with Lightning 1.2.3 (for TB 10 esr)

